- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# BlisBranchStrategyStrong Class Reference

Blis branching strategy default class This class implements a simple default algorithm, betterBranchObject(), for choosing a branching variable. More...

`#include <BlisBranchStrategyStrong.h>`

Inheritance diagram for BlisBranchStrategyStrong:

[legend]
Collaboration diagram for BlisBranchStrategyStrong:

[legend]
List of all members.

## Public Member Functions
| BlisBranchStrategyStrong ()
| Strong Constructor.
| BlisBranchStrategyStrong (BlisModel *model)
| Strong Constructor.
virtual | ~BlisBranchStrategyStrong ()
| Destructor.
| BlisBranchStrategyStrong (const BlisBranchStrategyStrong &)
| Copy constructor.
virtual BcpsBranchStrategy * | clone () const
| Clone a brancing strategy.
virtual int | createCandBranchObjects (int numPassesLeft)
| Create a set of candidate branching objects.
virtual int | betterBranchObject (BcpsBranchObject *thisOne, BcpsBranchObject *bestSoFar)
| Compare branching object thisOne to bestSoFar.
| BlisBranchStrategyStrong ()
| Strong Constructor.
| BlisBranchStrategyStrong (BlisModel *model)
| Strong Constructor.
virtual | ~BlisBranchStrategyStrong ()
| Destructor.
| BlisBranchStrategyStrong (const BlisBranchStrategyStrong &)
| Copy constructor.
virtual BcpsBranchStrategy * | clone () const
| Clone a brancing strategy.
virtual int | createCandBranchObjects (int numPassesLeft, double ub)
| Create a set of candidate branching objects.
virtual int | betterBranchObject (BcpsBranchObject *thisOne, BcpsBranchObject *bestSoFar)
| Compare branching object thisOne to bestSoFar.
## Private Member Functions
BlisBranchStrategyStrong & | operator= (const BlisBranchStrategyStrong &rhs)
| Illegal Assignment operator.
BlisBranchStrategyStrong & | operator= (const BlisBranchStrategyStrong &rhs)
| Illegal Assignment operator.

## Detailed Description

Blis branching strategy default class This class implements a simple default algorithm, betterBranchObject(), for choosing a branching variable.

Definition at line 59 of file BlisBranchStrategyStrong.h.

## Constructor & Destructor Documentation

BlisBranchStrategyStrong::BlisBranchStrategyStrong | ( |  | ) | `[inline]`

Strong Constructor.

Definition at line 69 of file BlisBranchStrategyStrong.h.

Referenced by clone().

BlisBranchStrategyStrong::BlisBranchStrategyStrong | ( | BlisModel * | model | ) | `[inline]`

Strong Constructor.

Definition at line 72 of file BlisBranchStrategyStrong.h.

virtual BlisBranchStrategyStrong::~BlisBranchStrategyStrong | ( |  | ) | `[inline, virtual]`

Destructor.

Definition at line 77 of file BlisBranchStrategyStrong.h.

BlisBranchStrategyStrong::BlisBranchStrategyStrong | ( | const BlisBranchStrategyStrong & |  | ) |

Copy constructor.

BlisBranchStrategyStrong::BlisBranchStrategyStrong | ( |  | ) | `[inline]`

Strong Constructor.

Definition at line 67 of file BlisBranchStrategyStrong.h.

References BlisBranchingStrategyStrong, and BcpsBranchStrategy::type_.

BlisBranchStrategyStrong::BlisBranchStrategyStrong | ( | BlisModel * | model | ) | `[inline]`

Strong Constructor.

Definition at line 72 of file BlisBranchStrategyStrong.h.

References BlisBranchingStrategyStrong, and BcpsBranchStrategy::type_.

virtual BlisBranchStrategyStrong::~BlisBranchStrategyStrong | ( |  | ) | `[inline, virtual]`

Destructor.

Definition at line 78 of file BlisBranchStrategyStrong.h.

BlisBranchStrategyStrong::BlisBranchStrategyStrong | ( | const BlisBranchStrategyStrong & |  | ) |

Copy constructor.

## Member Function Documentation

BlisBranchStrategyStrong& BlisBranchStrategyStrong::operator= | ( | const BlisBranchStrategyStrong & | rhs | ) | `[private]`

Illegal Assignment operator.

virtual BcpsBranchStrategy* BlisBranchStrategyStrong::clone | ( |  | ) | const`[inline, virtual]`

Clone a brancing strategy.

Implements BcpsBranchStrategy.

Definition at line 83 of file BlisBranchStrategyStrong.h.

References BlisBranchStrategyStrong().

virtual int BlisBranchStrategyStrong::createCandBranchObjects | ( | int | numPassesLeft | ) | `[virtual]`

Create a set of candidate branching objects.

virtual int BlisBranchStrategyStrong::betterBranchObject | ( | BcpsBranchObject * | thisOne,
|  | BcpsBranchObject * | bestSoFar |
| ) |  |  | `[virtual]`

Compare branching object thisOne to bestSoFar.

If thisOne is better than bestObject, return branching direction(1 or -1), otherwise return 0. If bestSorFar is NULL, then always return branching direction(1 or -1).

Implements BcpsBranchStrategy.

BlisBranchStrategyStrong& BlisBranchStrategyStrong::operator= | ( | const BlisBranchStrategyStrong & | rhs | ) | `[private]`

Illegal Assignment operator.

virtual BcpsBranchStrategy* BlisBranchStrategyStrong::clone | ( |  | ) | const`[inline, virtual]`

Clone a brancing strategy.

Implements BcpsBranchStrategy.

Definition at line 84 of file BlisBranchStrategyStrong.h.

References BlisBranchStrategyStrong().

virtual int BlisBranchStrategyStrong::createCandBranchObjects | ( | int | numPassesLeft,
|  | double | ub |
| ) |  |  | `[virtual]`

Create a set of candidate branching objects.

Reimplemented from BcpsBranchStrategy.

virtual int BlisBranchStrategyStrong::betterBranchObject | ( | BcpsBranchObject * | thisOne,
|  | BcpsBranchObject * | bestSoFar |
| ) |  |  | `[virtual]`

Compare branching object thisOne to bestSoFar.

If thisOne is better than bestObject, return branching direction(1 or -1), otherwise return 0. If bestSorFar is NULL, then always return branching direction(1 or -1).

Implements BcpsBranchStrategy.

The documentation for this class was generated from the following files:

- /home/coin/SVN-release/Blis-0.92.0/Bcps/examples/Blis/BlisBranchStrategyStrong.h
- /home/coin/SVN-release/Blis-0.92.0/Blis/src/BlisBranchStrategyStrong.h